Subject: RE: 1.30 gcc cannot exec \'cc1\'
From: "Sergey Okhapkin" <[email-masked]>
To: "'David Starks-Browning'" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 24 Feb 2003 08:03:54 -0500

I have the same problem while attempting to configure in cygwin source
tree, configure fails in opcodes directory. Note the first gcc execution
is successful!

[sos@sos opcodes]$ cat config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

configure:554: checking for Cygwin environment
configure:570: gcc -c -O2 -pipe  conftest.c 1>&5
configure:587: checking for mingw32 environment
configure:599: gcc -c -O2 -pipe  conftest.c 1>&5
gcc: installation problem, cannot exec `cc1': No such file or directory
configure: failed program was:
#line 592 "configure"
#include "confdefs.h"

int main() {
return __MINGW32__;
; return 0; }
configure:664: checking host system type
configure:685: checking target system type
configure:703: checking build system type
configure:728: checking for gcc
configure:841: checking whether the C compiler (gcc -O2 -pipe ) works
configure:857: gcc -o conftest -O2 -pipe   conftest.c  1>&5
gcc: installation problem, cannot exec `cc1': No such file or directory
configure: failed program was:

#line 852 "configure"
#include "confdefs.h"

main(){return(0);}

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of David Starks-Browning
> Sent: Monday, February 24, 2003 7:46 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: 1.30 gcc cannot exec \'cc1\'
>
>
> On Monday 24 Feb 03, [email-masked] writes:
> >
> > Hi
> >
> > I am trying to compile ORCA (www.orcaware.com) under cygwin
> and get an
> > error under configure. I have traced the error to gcc under cygwin.
> > gcc -v --help gives:
>
> You've got a bit of learning to do if you think the Cygwin
> mailing list would be interested in the output of 'gcc -v --help'!
>
> Regards,
> David
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/